<div class="row">
  <div class="col-lg-9">
    <nb-card>
      <nb-card-header>
        <h4>Tarjeta<span *ngIf="element?.id"> &gt; {{ element.name }}</span></h4>
      </nb-card-header>
      <nb-card-body>
        <form *ngIf="loaded" #form="ngForm" class="form-horizontal" (submit)="submit()">
          <div *ngIf="errors && errors.length > 0 && !submitted" class="alert alert-danger" role="alert">
            <div><strong>Error</strong></div>
            <div *ngFor="let error of errors">{{ error }}</div>
          </div>
          <!-- name -->
          <div class="form-group row">
            <label for="name" class="col-sm-2 col-form-label">Nombre de la Tarjeta*</label>
            <div class="col-sm-10">
              <input type="text"
                class="form-control"
                id="name"
                name="name"
                [(ngModel)]="element.name"
                [disabled]="!unpublished"
                placeholder="Nombre de la Tarjeta" required>
              <small class="form-text">Nombre interno para reconocer la tarjeta, este nombre no será visto por los clientes.</small>
            </div>
          </div>
          <!-- punch_limit -->
          <div class="form-group row">
            <label for="punch-limit" class="col-sm-2 col-form-label">Cantidad de Sellos</label>
            <div class="col-sm-10">
              <select class="form-control" id="punch-limit" name="punch_limit" [(ngModel)]="element.punch_limit"
                [disabled]="!unpublished" min="3" max="15" required>
                <option>3</option>
                <option>4</option>
                <option>5</option>
                <option>6</option>
                <option>7</option>
                <option>8</option>
                <option>9</option>
                <option>10</option>
                <option>11</option>
                <option>12</option>
                <option>13</option>
                <option>14</option>
                <option>15</option>
              </select>
              <small class="form-text">Cantidad de Sellos que debe acumular un cliente para obtener el premio.</small>
            </div>
          </div>
          <!-- prize -->
          <div class="form-group row">
            <label for="prize" class="col-sm-2 col-form-label">Premio*</label>
            <div class="col-sm-10">
              <input type="text"
                class="form-control"
                id="prize"
                name="prize"
                [(ngModel)]="element.prize"
                [disabled]="!unpublished"
                placeholder="Premio" required>
              <small class="form-text">
                El premio que gana el cliente al canjear una tarjeta completa.
                Ej. Un combo gratis; 25% de descuento en cuenta final; una entrada o copa de vino gratis; etc.
              </small>
            </div>
          </div>
          <!-- rules -->
          <div class="form-group row">
            <label for="rules" class="col-sm-2 col-form-label">Regla a Cumplir*</label>
            <div class="col-sm-10">
              <input type="text"
                class="form-control"
                id="rules"
                name="rules"
                [(ngModel)]="element.rules"
                [disabled]="!unpublished"
                placeholder="Regla a Cumplir" required>
              <small class="form-text">
                La regla que debe cumplir el cliente para recibir sello(s).
                Ej. Un sello por cada $100.00 de compra; Un sello por visita; Un sello en la compra mínima de $150.00; etc.
              </small>
            </div>
          </div>
          <!-- expires_at -->
          <div class="form-group row">
            <label for="expires-at" class="col-sm-2 col-form-label">Fecha de Expiraci&oacute;n*</label>
            <div class="col-sm-10">
              <input type="date"
                class="form-control"
                id="expires-at"
                name="expires_at"
                [(ngModel)]="element.expires_at"
                [disabled]="!unpublished"
                placeholder="Fecha de Expiraci&oacute;n" required>
              <small class="form-text">
                Fecha en la que se borra la tarjeta para todos los clientes.
                Recuerda esta fecha para tener una nueva tarjeta lista y no interrumpir el servicio.
              </small>
            </div>
          </div>
          <!-- redeem_code -->
          <div class="form-group row">
            <label for="redeem-code" class="col-sm-2 col-form-label">C&oacute;digo de Canje*</label>
            <div class="col-sm-10">
              <input type="text"
                class="form-control"
                id="redeem-code"
                name="redeem_code"
                [(ngModel)]="element.redeem_code"
                [disabled]="!unpublished"
                placeholder="C&oacute;digo de Canje" required>
              <small class="form-text">
                Este código se muestra cuando un cliente canjea una tarjeta y la muestra al encargado.
                Puede servir para ligar el premio a tu punto de venta.
              </small>
            </div>
          </div>
          <!-- terms -->
          <div class="form-group row">
            <label for="terms" class="col-sm-2 col-form-label">Terminos y Condiciones*</label>
            <div class="col-sm-10">
              <input type="text"
                class="form-control"
                id="terms"
                name="terms"
                [(ngModel)]="element.terms"
                [disabled]="!unpublished"
                placeholder="Terminos y Condiciones" required>
              <small class="form-text">
                Los términos y condiciones a los que está sujeta la promoción y/o premio de esta tarjeta.
                Ej. Aplican restricciones, hasta agotar existencias, no válido con otras promociones, etc.
              </small>
            </div>
          </div>
          <!-- validation_limit -->
          <div class="form-group row">
            <label for="validation-limit" class="col-sm-2 col-form-label">L&iacute;mite de Sellos Diario</label>
            <div class="col-sm-10">
              <input type="text"
                class="form-control"
                id="validation-limit"
                name="validation_limit"
                [(ngModel)]="element.validation_limit"
                [disabled]="!unpublished"
                placeholder="L&iacute;mite de Sellos Diario">
              <small class="form-text">
                OPCIONAL. Es el límite de sellos diario que puede obtener cada uno de tus clientes.
                Ej. Si el límite diario es 2, ningún cliente podrá obtener más de 2 sellos en un día.
              </small>
            </div>
          </div>
          <!-- actions -->
          <div class="form-group row">
            <div class="offset-sm-2 col-sm-9">
              <button type="submit" class="btn btn-success" [disabled]="!form.valid || !unpublished">{{ action }}</button>
            </div>
          </div>
        </form>
      </nb-card-body>
    </nb-card>
  </div>
  <div class="col-lg-3">
    <nb-card *ngIf="element?.id">
      <nb-card-header>
        <h4>Estado: {{ element?.identity | identityPipe: identities }}</h4>
      </nb-card-header>
      <nb-card-body *ngIf="unpublished">
        <p>Haz click en "Publicar " para que tu tarjeta aparezca en la aplicación y los usuarios puedan comenzar a usarla.</p>
        <p>Una vez publicada no podr&aacute;s hacer cambios a menos de que nos conactes directamente.</p>
        <button class="btn btn-success" (click)="publish()" [disabled]="!unpublished">Publicar</button>
      </nb-card-body>
      <nb-card-body *ngIf="!unpublished">
        <p>Esta tarjeta está actualmente activa en la aplicaci&oacute;n.</p>
      </nb-card-body>
    </nb-card>
    <nb-card *ngIf="!element?.id">
      <nb-card-header>
        <h4>Estado: Sin crear</h4>
      </nb-card-header>
      <nb-card-body>
        <p>Llena la información de tu tarjeta de lealtad y haz click en el botón "Crear" para crear tu tarjeta.</p>
        <p>Tu tarjeta no aparecerá en la aplicación hasta que sea publicada.</p>
      </nb-card-body>
    </nb-card>
  </div>
</div>
